;; (C) Copyright Collin J. Doering 2023
;;
;; This program is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;; 
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;; 
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

;; File: util.scm
;; Author: Collin J. Doering <collin.doering@rekahsoft.ca>
;; Date: Dec 30, 2023

(define-module (rekahsoft-gnu utils)
  #:use-module (gnu packages)
  #:export (search-rekahsoft-gnu-patches))

(define (search-rekahsoft-gnu-patches patch)
  (parameterize ((%patch-path (map (lambda (directory)
                                     (string-append directory
                                      "/rekahsoft-gnu/packages/patches"))
                                   %load-path)))
                (search-patches patch)))
